## term-app-launcher 0.1-4

=== Makefile ===
# Copyright (C) 2010 Peter Tworek<tworaz666@gmail.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

APP_NAME=term-app-launcher
OBJ=term-app-launcher.o

DESTDIR?=
PREFIX?=/usr
BINDIR?=${PREFIX}/bin

CC=gcc
LD=gcc
CFLAGS=-Wall -O2 -pipe
VTE_CFLAGS=$(shell pkg-config --cflags vte)
VTE_LIBS=$(shell pkg-config --libs vte)


all: ${APP_NAME}

${APP_NAME}: ${OBJ}
	${LD} ${VTE_LIBS} $< -o $@

%.o:%.c
	${CC} ${CFLAGS} ${VTE_CFLAGS} -c -o $@ $<

install: ${APP_NAME}
	install -g root -d ${DESTDIR}/${BINDIR}
	install -g root -m 0755 ${APP_NAME} ${DESTDIR}/${BINDIR}/${APP_NAME}

clean:
	rm -f ${OBJ} ${APP_NAME}

.PHONY: all install

## term-app-launcher 0.1-2

=== debian/changelog ===
term-app-launcher (0.1-2) unstable; urgency=low

  * Fix build depends.

 -- Peter Tworek <tworaz666@gmail.com>  Mon, 29 Nov 2010 21:50:24 +0100

term-app-launcher (0.1-1) unstable; urgency=low

  * Initial release of term-app-launcher

 -- Peter Tworek <tworaz666@gmail.com>  Mon, 15 Nov 2010 22:53:24 +0100

=== debian/control ===
Source: term-app-launcher
Section: user/utilities
Priority: extra
Maintainer: Peter Tworek <tworaz666@gmail.com>
Build-Depends: debhelper (>= 5), libvte-dev (>= 0.16.14), libgtk2.0-dev (>= 2.14.7)
Standards-Version: 3.7.2

Package: term-app-launcher
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Very simple terminal emulator
 term-app-launcher is a very simple, libvte based terminal emulator
 intended to be used as a launcher for console based applications.

## term-app-launcher 0.1-3

=== debian/changelog ===
term-app-launcher (0.1-3) unstable; urgency=low

  * Add bugtracker link.

 -- Peter Tworek <tworaz666@gmail.com>  Mon, 30 Nov 2010 20:40:24 +0100

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Peter Tworek <tworaz666@gmail.com>
 Build-Depends: debhelper (>= 5), libvte-dev (>= 0.16.14), libgtk2.0-dev (>= 2.14.7)
 Standards-Version: 3.7.2
+XSBC-Bugtracker: mailto:tworaz666@gmail.com
 
 Package: term-app-launcher
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/term-app-launcher.
	$(MAKE) PREFIX=/opt DESTDIR=$(CURDIR)/debian/term-app-launcher install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	#dh_installchangelogs 
	#dh_installdocs
	#dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	#dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## term-app-launcher 0.1-4

=== debian/changelog ===
term-app-launcher (0.1-4) unstable; urgency=low

  * Change category to utils.

 -- Peter Tworek <tworaz666@gmail.com>  Mon, 13 Dec 2010 20:30:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: term-app-launcher
-Section: user/utilities
+Section: utils
 Priority: extra
 Maintainer: Peter Tworek <tworaz666@gmail.com>
 Build-Depends: debhelper (>= 5), libvte-dev (>= 0.16.14), libgtk2.0-dev (>= 2.14.7)
